# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/6/13
import os
import sys
import time
sys.path.append(os.getcwd())
from common.log import Log
from common.common import Common
from dev.dev_script.xigua_search_publish_time import XiguasearchScheduling


def xigua_search_main(log_type, crawler, env):
    while True:
        Log.logging(log_type, crawler).info("开始抓取西瓜搜索")
        XiguasearchScheduling.get_search_videos(log_type=log_type,
                                                crawler=crawler,
                                                rule_dict={"play_cnt":{"min":8000,"max":0},"duration":{"min":60,"max":600},"period":{"min":365,"max":365},"videos_cnt":{"min":30,"max":0}},
                                                user_list=[{"uid": 6267140, "source": "xigua", "link": "健康", "nick_name": "健康", "avatar_url": "http://rescdn.yishihui.com/user/default/avatar/live/1616555578819_u=1922778943,2660693611&fm=26&gp=0.jpg", "mode": "search"},
                                                           {"uid": 6267140, "source": "xigua", "link": "瓦格纳", "nick_name": "瓦格纳", "avatar_url": "http://rescdn.yishihui.com/user/default/avatar/live/1616555578819_u=1922778943,2660693611&fm=26&gp=0.jpg", "mode": "search"},
                                                           {"uid": 6267141, "source": "xigua", "link": "高考分数线", "nick_name": "高考分数线", "avatar_url": "http://rescdn.yishihui.com/user/default/avatar/live/1616555578819_u=1922778943,2660693611&fm=26&gp=0.jpg", "mode": "search"}],
                                                env=env)
        Common.del_logs(log_type, crawler)
        Log.logging(log_type, crawler).info("抓取一轮结束\n")
        Log.logging(log_type, crawler).info("休眠 1 小时")
        time.sleep(3600)


if __name__ == "__main__":
    xigua_search_main("search", "dev", "dev")