# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/7/21
import requests
from bs4 import BeautifulSoup

class Shipinhao:
    @classmethod
    def get_shipinhao(cls):
        # 微信视频号推荐页面的URL
        url = 'https://mp.weixin.qq.com/mp/videoplayer?action=get_recommend_video_list&__biz=MzI1OTQxMjE0Nw==&uin=&key=&pass_ticket=&wxtoken=777&devicetype=Windows+10&clientversion=1000&appmsg_token=cc11373ab7db78508003b6d2f46bab1a779666d3&f=json'

        # 发送GET请求并获取响应
        response = requests.get(url)

        # 解析响应的JSON数据
        data = response.json()
        print(f'data: {data}')
        # 解析推荐视频列表
        video_list = data['recommend_video_list']
        for video in video_list:
            # 获取视频标题
            title = video['title']
            # 获取视频URL
            video_url = video['video_url']
            # 打印视频标题和URL
            print(f'Title: {title}')
            print(f'Video URL: {video_url}')
            print('---')


if __name__ == "__main__":
    Shipinhao.get_shipinhao()