# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/4/13
import argparse
import os
import sys
import time
sys.path.append(os.getcwd())
from common.common import Common
from ganggangdouchuan.ganggangdouchuan_recommend.ganggangdouchuan_recommend import GanggangdouchuanRecommend


def main(log_type, crawler, env):
    oss_endpoint = "out"
    Common.logger(log_type, crawler).info('开始抓取:刚刚都传小程序\n')
    Common.logging(log_type, crawler, env, '开始抓取:刚刚都传小程序\n')
    ganggangdouchuan_start_time = int(time.time())
    GanggangdouchuanRecommend.start_wechat(log_type, crawler, oss_endpoint, env)
    # Common.del_logs(log_type, crawler)
    Common.logger(log_type, crawler).info('抓取完一轮\n')
    Common.logging(log_type, crawler, env, '抓取完一轮\n')
    ganggangdouchuan_end_time = int(time.time())
    ganggangdouchuan_duration = ganggangdouchuan_end_time - ganggangdouchuan_start_time
    Common.logger(log_type, crawler).info(f"duration {ganggangdouchuan_duration}")
    Common.logging(log_type, crawler, env, f"duration {ganggangdouchuan_duration}")


if __name__ == "__main__":
    parser = argparse.ArgumentParser()  ## 新建参数解释器对象
    parser.add_argument('--log_type', type=str)  ## 添加参数,注明参数类型
    parser.add_argument('--crawler')  ## 添加参数
    parser.add_argument('--env')  ## 添加参数
    args = parser.parse_args()  ### 参数赋值，也可以通过终端赋值
    main(log_type=args.log_type, crawler=args.crawler, env=args.env)